if (window.addEventListener) window.addEventListener('DOMMouseScroll', wheelx, false);
window.onmousewheel = document.onmousewheel = wheelx;

function wheel(event) {
    var delta = 0;
    if (event.wheelDelta) delta = event.wheelDelta / 120;
    else if (event.detail) delta = -event.detail / 2;

    handle(delta);
    if (event.preventDefault) event.preventDefault();
    event.returnValue = false;
}

function handle(delta) {
    var time = 700;
	var distance = $(window).height()-20;
    
    $('.mb-content').stop().animate({
        scrollTop: $('.mb-content').scrollTop() - (distance * delta)
    }, time );
}